## com.bbn.openmap.layer.test
Class TestLayer.Line

    java.lang.Object
      com.bbn.openmap.layer.test.TestLayer.GraphicBase
          com.bbn.openmap.layer.test.TestLayer.Line

Direct Known Subclasses:
  TestLayer.Rect

Enclosing class:
  TestLayer

protected class TestLayer.Line
extends TestLayer.GraphicBase

Field Summary
`protected boolean` `arrowhead`
`protected int` `arrowtype`

Fields inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`fillColor, height, isFilled, lineColor, llpts, nsegs, radius, rt, type, visible, width, xypts`

Constructor Summary
`TestLayer.Line()`

Method Summary
`javax.swing.JPanel` `getGUI()`
`protected void` `makeArrowHeadGUI(javax.swing.JComponent parent)`

Methods inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`getOKButton, makeColorBox, makeFillCheckBox, setLLCoordinate, setRender, setSegs, setType, setXYCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrowtype

    protected int arrowtype

### arrowhead

    protected boolean arrowhead

Constructor Detail

### TestLayer.Line

    public TestLayer.Line()

Method Detail

### makeArrowHeadGUI

    protected void makeArrowHeadGUI(javax.swing.JComponent parent)

### getGUI

    public javax.swing.JPanel getGUI()

  Specified by:
    `getGUI` in class `TestLayer.GraphicBase`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details